mlpost_0.8.1-8+b1_amd64.deb


Advertisement

Description

mlpost - OCaml interface to Metapost (command-line tool)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename mlpost_0.8.1-8+b1_amd64.deb
Package name mlpost
Package version 0.8.1
Package release 8+b1
Package architecture amd64
Package type deb
Category tex
Homepage http://mlpost.lri.fr/
License -
Maintainer Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Download size 299.58 KB
Installed size 1014.00 KB

Alternatives

Package Version Architecture Repository
mlpost_0.8.1-8+b1_i386.deb 0.8.1 i386 Debian Main
mlpost - - -

Requires

Name Value
context >= 2012.05.23.20120524-1~
libc6 >= 2.17
libmlpost-ocaml-dev -
texlive-latex-base -
texlive-latex-recommended -
texlive-metapost -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package mlpost_0.8.1-8+b1_amd64.deb
Source Package mlpost

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mlpost deb package:
    # sudo apt-get install mlpost

Files

Path
/usr/bin/mlpost
/usr/share/doc/mlpost/FAQ
/usr/share/doc/mlpost/README.txt
/usr/share/doc/mlpost/changelog.Debian.amd64.gz
/usr/share/doc/mlpost/changelog.Debian.gz
/usr/share/doc/mlpost/changelog.gz
/usr/share/doc/mlpost/copyright
/usr/share/doc/mlpost/examples/examples.tar.gz
/usr/share/man/man1/mlpost.1.gz

Changelog

2017-07-22 - Stéphane Glondu <glondu@debian.org>
mlpost (0.8.1-8) unstable; urgency=medium
* Disable configure check that ocamlbuild has the same version as
ocaml
2017-07-21 - Stéphane Glondu <glondu@debian.org>
mlpost (0.8.1-7) unstable; urgency=medium
[ Mehdi Dogguy ]
* Update watch file
[ Stéphane Glondu ]
* Add ocamlbuild to Build-Depends
* Bump debhelper compat to 10
* Update Vcs-*
2014-02-10 - Ralf Treinen <treinen@debian.org>
mlpost (0.8.1-6) unstable; urgency=low
* Team upload.
* Added build-dependency on texlive-fonts-recommended (closes: #738389)
2013-12-04 - Stéphane Glondu <glondu@debian.org>
mlpost (0.8.1-5) unstable; urgency=low
* Upload to unstable
2013-11-11 - Stéphane Glondu <glondu@debian.org>
mlpost (0.8.1-4) experimental; urgency=low
* Compile with OCaml >= 4.01
* debian/patches:
+ Fix for ocamldoc >= 4
* Update Vcs-*
2012-06-12 - Mehdi Dogguy <mehdi@debian.org>
mlpost (0.8.1-3) unstable; urgency=low
* Team upload.
* Since context (>= 2012.05.23.20120524-1), mp-tool.mp and mp-spec.mp
are no longer provided. Instead, context provide .mpii and .mpiv files.
- add 0005-Fully-qualify-name-of-input-ed-files.patch
- {build-,}depend on context (>= 2012.05.23.20120524-1~)
(Closes: #676116, #676127).
* Use Breaks instead of Conflicts with mlpost (<< 0.8.1).
* Bump Standards-Version to 3.9.3 (no changes)
2010-05-24 - Stéphane Glondu <glondu@debian.org>
mlpost (0.8.1-2) unstable; urgency=low
* Set OCAMLFIND_DESTDIR at configure time, so that the paths compiled
into the mlpost tool are correct
2010-05-22 - Stéphane Glondu <glondu@debian.org>
mlpost (0.8.1-1) unstable; urgency=low
* New upstream release
- debian/patches:
+ remove 0001-No-tracingchoices-in-generated-MetaPost-sources.patch
+ add 0001-Do-not-remove-ocamlbuild.Makefile.patch
+ add 0002-Create-man-dir-before-installing-into-it.patch
+ add 0003-Fix-hyphen-escapes-in-manpage.patch
+ add 0004-myocamlmacroparser-use-.byte-instead-of-.native.patch
* New binary packages:
- libmlpost-ocaml-dev: library files, as per regular OCaml library
packaging
- libmlpost-ocaml-doc: architecture-independent documentation, and
therefore reduce build-dependencies for arch-dep packages
(Closes: #564779)
- mlpost: mlpost tool and its manpage
* Switch debian/rules to dh with overrides, and drop build-dependency to
cdbs
* Bump Standards-Version to 3.8.4 (no changes)
2009-12-25 - Stéphane Glondu <glondu@debian.org>
mlpost (0.7.4-1) unstable; urgency=low
* New upstream release
* debian/patches:
- remove Fix-manpage-double-UTF8-encoding.patch (merged)
- remove Fix-build-when-ocamlopt-is-missing.patch (merged)
- add No-tracingchoices-in-generated-MetaPost-sources.patch
(Closes: #562358)
* debian/control:
- update my e-mail address, remove DMUA
- update Standards-Version to 3.8.3
* Switch to dh-ocaml 0.9
* Switch source package format to 3.0 (quilt)
* Fix watch file
2009-08-13 - Stephane Glondu <steph@glondu.net>
mlpost (0.7.1-2) unstable; urgency=low
* Add a patch to fix FTBFS on bytecode architectures

See Also

Package Description
mlterm-common_3.8.6-2_amd64.deb MultiLingual TERMinal, common files
mlterm-im-canna_3.8.6-2_amd64.deb MultiLingual TERMinal, Canna input method plugin
mlterm-im-fcitx_3.8.6-2_amd64.deb MultiLingual TERMinal, Flexible Input Method plugin
mlterm-im-ibus_3.8.6-2_amd64.deb MultiLingual TERMinal, IBus input method plugin
mlterm-im-m17nlib_3.8.6-2_amd64.deb MultiLingual TERMinal, m17nlib input method plugin
mlterm-im-scim_3.8.6-2_amd64.deb MultiLingual TERMinal, scim input method plugin
mlterm-im-skk_3.8.6-2_amd64.deb MultiLingual TERMinal, SKK input method plugin
mlterm-im-uim_3.8.6-2_amd64.deb MultiLingual TERMinal, uim input method plugin
mlterm-im-wnn_3.8.6-2_amd64.deb MultiLingual TERMinal, FreeWnn input method plugin
mlterm-tiny_3.8.6-2_amd64.deb MultiLingual TERMinal, tiny version
mlterm-tools_3.8.6-2_amd64.deb MultiLingual TERMinal, additional tools
mlterm_3.8.6-2_amd64.deb MultiLingual TERMinal
mlton-compiler_20180207-1_amd64.deb Optimizing compiler for Standard ML - compiler
mlton-runtime-native_20180207-1_amd64.deb Optimizing compiler for Standard ML - native runtime libraries
mlton-runtime-x86-64-linux-gnu_20180207-1_amd64.deb Optimizing compiler for Standard ML - amd64 runtime libraries
Advertisement
Advertisement